%read an image and convert it to grayscale
function image = read2gray(filename);

[image,Map] = imread([filename '.jpg'],'jpg');
info =  imfinfo(filename,'jpg');
orig_type = info.ColorType;

switch(orig_type)
  case {'RGB' 'truecolor'},  image = rgb2gray(image);
  case 'indexed',  
     image = ind2gray(image, Map);
end     
image=double(image)/max(max(double(image)));
